# EveryCloseUp

A simple tool for exporting photos from [Everyday](http://everyday-app.com/) into [Close-up](http://closeu.pe).

## Instructions (Using Python)

**NOTE:** Before attempting this please turn Dropbox sync OFF, then turn it back on once the photos have been imported successfully.

1. You'll need to copy the `Documents` directory from Everyday using a tool like [iExplorer](http://www.macroplant.com/iexplorer/) to your local machine.
2. Copy `EveryCloseUp.py` into this directory
3. Run `python EveryCloseUp.py` in this directory, it will rename and remove files inside of the Documents directory to be compatible with Close-up.
- Again, using a tool like iExplorer, move these new files into the `Documents/Images` directory inside of Close-up.
- Force quit Close-up and restart it and voilà, your images are there.

## Instructions (Using Xcode)

**NOTE:** Before attempting this please turn Dropbox sync OFF, then turn it back on once the photos have been imported successfully.

1. You'll need to copy the `Documents` directory from Everyday using a tool like [iExplorer](http://www.macroplant.com/iexplorer/) to your local machine.
2. Open and build EveryCloseUp.xcodeproj, do not run it. Copy `EveryCloseUp` from the `Products` group in the Xcode project into the `Documents` directory you copied from Everyday. You can also simply run `make` at the root level of the project to generate this file.
- Run EveryCloseUp using the terminal, it will rename and remove files inside of the Documents directory to be compatible with Close-up.
- Again, using a tool like iExplorer, move these new files into the `Documents/Images` directory inside of Close-up.
- Force quit Close-up and restart it and voilà, your images are there.

## How we're different

- **Everyday** keeps a SQLite database that maps image dates to hashes, the images with these hashes as filenames are stored along with thumbnails (suffixed _thumb) and the .sqlite3 file itself in the Documents directory. The dates stored in the .sqlite3 file are relative to the system reference date.
- **Close-up** has no database file and does not mix thumbnails and raw images in the same directory. Instead, every file inside of `Documents/Images` has a filename corresponding to the time interval since 1970 that that photo was taken, and `Documents/Thumbnails` (or `Documents/Thumbnails-Pad` on the iPad) has a mirrored set of files that are thumbnailed. Close-up generates thumbnailed versions of files in `Documents/Images` that have no thumbnail.

## How it works

1. We open Everyday's .sqlite3 file and for each image we…
	- Translate from the system reference date to the time interval since 1970
	- Rename the file from the old hash to this time interval
2. Remove the *_thumb, .sqlite3, and other temp files leaving only EveryCloseUp and the newly renamed files behind